This repository contains the electrophysiological data and custom code related to the article “A longitudinal bilateral primary motor cortex electrophysiological and behavior dataset for hemi-parkinsonian rat in response to deep brain stimulation”. Here we provided the electrophysiological dataset collected from layer V of the primary motor cortex (M1) and the corresponding behavior dataset from normal and hemi-parkinson rats over 5 consecutive weeks. The electrophysiological dataset was constituted by the raw wideband signal, neuronal spikes, and local field potential (LFP) signal. Following the content of this article, the dataset was built according to the rat ID.

**Freely moving recordings:**

The data acquisition process was performed in a quiet test room, which was under a 12 h/12 h light-dark cycle. Rats were placed in a tailored Faraday cage with free access to food and water. The OmniPlex Neural Recording Data Acquisition System (Plexon Inc., Dallas, Texas, USA) was used to record the wideband electrophysiological data. Then, this system could filter the neural signals of spike and LFP from the wideband signal, which were selected using band-pass filter set at 300-3000 Hz and 0.5-200 Hz, respectively, and further digitized at a sampling rate of 40 kHz and 1 kHz. The wideband signal, spike, and LFP data files were all saved for further offline analysis.

**Electrode channels:**

In this study, the stimulation and recording electrodes were all microwire array electrodes. The recording microwire array was arranged in 4×4 array (nickel-titanium, 25 μm diameter, 300 μm interelectrode spacing, 8 mm length, Suzhou Kedou Brain Computer Technology Co., Ltd), and two silver wires with 125 μm diameter were reserved at the electrode connector as ground wires. The stimulation microwire array was arranged in 2×2 array (tungsten, 50 μm diameter, 250 μm interelectrode spacing, 10 mm length, Beijing Plexon Co., Ltd). Nissl staining was performed to determine the electrode position, only electrophysiological data of rats with correctly electrode implantation was used in subsequent analysis.

**Behavioral assessment：**

The open-field test was done to evaluate the behavior variation of rats among the entire experimental cycle,  we provided the amount and duration of movement in the Excel spreadsheet to quantify the symptoms variation of rats and effects of closed-loop DBS.The behavioral test results of all 24 rats before operation were used as the baseline data, and randomly selected 8 rats as the sham group and 16 rats as the PD group. One week after 6-OHDA was lesioned, the hemi-PD rat model was further randomly divided as the PD group (n=8) and PD-DBS group (n=7).In the follow-up experiment, the behavioral test was done only for the sham group, PD group and PD-DBS group.Finally,the location of implanted electrodes was confirmed by Nissl staining, only rats with recording microwire array electrode residing within the layer V of M1 and stimulation electrode within the STN were selected for further electrophysiological and behavioral datas analysis, where four rats were excluded due to error location. The sham folder contain data from 7 rats，the PD folder contain data from 6 rats，and PD-DBS folder contain data from 6 rats.

**Data Folders**：

We store all the data in folder ‘electrode dataset for hemi-parkinsonian rat’, which contains three different groups（PD、PD-DBS、Sham）and the baseline data of 24 rats movements before the start of the experiment.‘Baseline.xlsx’includes the total activity distance and duration of movement in the open-field test for all 24 rats within 300 seconds.In addition, there are also ‘xlsx’ format in the folders of the three groups, representing the results of open-field experiments of rats in each group for five consecutive weeks.

The Sham folder contains electrophysiological and behavioral data of 7 normal rats for 5 consecutive weeks. Each sub folder contains data of 1 rat, which is further divided into 4 folders based on time. Each folder contains electrophysiological data from different activity states recorded each week, including walking, sleep, and awake.The PD folder is also similar to the Sham folder.For example，in Sham file，‘sub-01-awake-2week’ represents the electrophysiological data of the first rat during awake at 2 week.Each nex format file includes the raw wideband signal, neuronal spikes, and local field potential (LFP) signal.

Unlike the two groups mentioned above, the PD-DBS folder not only includes electrophysiological data for four consecutive weeks, but also a stimulation file that contains electrophysiological data for closed-loop DBS stimulation for five consecutive days from day 29 to day 33. These data are also distinguished according to different states.For example，in PD-DBS file，‘sub-05-awake-day29’ represents the electrophysiological data of the 5th rat in PD-DBS group undergoing closed-loop electrical stimulation during awake state on day 29.

**Custom code：**

We provided Python code for obtaining clean LFP signal from the wideband signal, as well as their power spectral analysis to ease the reproducibility of these demonstrations.

For every question and/or further data request, please don't hesitate in contacting me (drwangxiaofeng@126.com)